Subject: Re: [PATCH v2 3/4] terminal: work around macos poll() bug

From: Junio C Hamano <[email-masked]>
Date: Thu, 10 Mar 2022 10:02:19 -0800

Phillip Wood <[email-masked]> writes:

> Hi Ævar
>
> On 10/03/2022 13:35, Ævar Arnfjörð Bjarmason wrote:
>> [...]
>>>   +/*
>>> + * On macos it is not possible to use poll() with a terminal so use select
>>> + * instead.
>>> + */
>>> +#include <sys/select.h>
>> I don't think this breaks anything in practice due to the platforms
>> we
>> define HAVE_DEV_TTY and NO_SYS_SELECT_H on, but it does look redundant &
>> confusing, and will break if the current users of HAVE_DEV_TTY and
>> NO_SYS_SELECT_H change.
>> I.e. isn't sys/select.h already pulled in by the relevant include in
>> git-compat-util.h? Why is it needed again here?
>
> I didn't realize that git-compat-util.h already included that header,
> I'll remove it.

Thanks, both.  The removal of that line is very much appreciated.